Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize.transition
Class XHTMLSerializer

    java.lang.Object
      |
      +--org.apache.xml.serialize.transition.BaseMarkupSerializer
            |
            +--org.apache.xml.serialize.transition.HTMLSerializer
                  |
                  +--org.apache.xml.serialize.transition.XHTMLSerializer

public final class XHTMLSerializer
extends HTMLSerializer

Implements an XHTML serializer supporting both DOM and SAX pretty serializing. For usage instructions see either `Serializer` or `BaseMarkupSerializer`.

See Also:
  `Serializer`

Inner classes inherited from class org.apache.xml.serialize.transition.HTMLSerializer
`HTMLSerializer.DTD`

Fields inherited from class org.apache.xml.serialize.transition.HTMLSerializer
`XHTMLNamespace`

Constructor Summary
`XHTMLSerializer()` Constructs a new serializer.
`XHTMLSerializer(OutputFormat format)` Constructs a new serializer.
`XHTMLSerializer(java.io.OutputStream output, OutputFormat format)` Constructs a new serializer that writes to the specified output stream using the specified output format.
`XHTMLSerializer(java.io.Writer writer, OutputFormat format)` Constructs a new serializer that writes to the specified writer using the specified output format.

Method Summary
`void` | `setOutputFormat(OutputFormat format)`

Methods inherited from class org.apache.xml.serialize.transition.HTMLSerializer
`characters, endElement, endElement, startElement, startElement`

Methods inherited from class org.apache.xml.serialize.transition.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, comment, comment, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, externalEntityDecl, getOutputFormat, getOutputStream, getWriter, ignorableWhitespace, internalEntityDecl, notationDecl, processingInstruction, reset, serialize, serialize, serialize, serializeXPathReturnNode, setDocumentLocator, setOutputStream, setWriter, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLSerializer

    public XHTMLSerializer()

  Constructs a new serializer. The serializer cannot be used without calling `#setOutputCharStream` or `#setOutputByteStream` first.

### XHTMLSerializer

    public XHTMLSerializer(OutputFormat format)

  Constructs a new serializer. The serializer cannot be used without calling `#setOutputCharStream` or `#setOutputByteStream` first.

### XHTMLSerializer

    public XHTMLSerializer(java.io.Writer writer,
                           OutputFormat format)

  Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.
  Parameters:
    `writer` - The writer to use
    `format` - The output format to use, null for the default

### XHTMLSerializer

    public XHTMLSerializer(java.io.OutputStream output,
                           OutputFormat format)

  Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.
  Parameters:
    `output` - The output stream to use
    `format` - The output format to use, null for the default

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Overrides:
    setOutputFormat in class HTMLSerializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.